Subject: Re: [PATCH v1 2/5] list-objects-filter-options: error is localizeable

From: Matthew DeVore <[email-masked]>
Date: Tue, 28 May 2019 16:01:33 -0700

On Thu, May 23, 2019 at 05:55:12PM -0700, Emily Shaffer wrote:
> What does it look like? Is it human-readable in its current form? I ask
> because (without having looked ahead) I think you're going to move it

You can make the error appear in this way:

$ git rev-list --filter=blob:nonse --objects HEAD
fatal: invalid filter-spec 'blob:nonse'

I included it in this patchset since I'm changing code in the vicinity and it's
possible the patchset may mutate to a point where these lines get moved to a
separate function or their indentation changes, meaning the maintainer has to
handle merge conflicts. But that may be more caution than necessary.

I don't feel so certain about what's going to happen either way, nor do I mind
having the patch stick around in this set, so maybe I'll just keep things as
they are for now.